Name:    kde-dev-utils
Summary: Utilities for developers using KDE
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+ and LGPLv2+
URL:     https://invent.kde.org/sdk/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


BuildRequires:  desktop-file-utils

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KIO)

BuildRequires:  cmake(Qt5Designer)
BuildRequires:  cmake(Qt5UiTools)

Requires:       kpartloader = %{version}-%{release}
Requires:       kuiviewer = %{version}-%{release}

%description
Small utilities for developers using KDE/Qt libs/frameworks

%package common
Summary: Common files for %{name}
Conflicts: kdesdk-common < 4.10.80
Conflicts: kde-l10n < 17.03
BuildArch: noarch
%description common
%{summary}.

%package -n kpartloader
Summary: KPart loader
Provides:  kde-dev-utils-kpartloader = %{version}-%{release}
Requires:  %{name}-common = %{version}-%{release}
%description -n kpartloader
%{summary}.

%package -n kuiviewer
Summary: Displays designer UI files 
Provides:  kde-dev-utils-kuiviewer = %{version}-%{release}
Requires:  %{name}-common = %{version}-%{release}
%description -n kuiviewer 
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang kpartloader --with-html
%find_lang kuiviewer --with-html


%check
desktop-file-validate %{buildroot}/%{_kf5_datadir}/applications/org.kde.kuiviewer.desktop


%files

%files common
%license LICENSES/*

%files -n kpartloader -f kpartloader.lang
%{_kf5_bindir}/kpartloader

%files -n kuiviewer -f kuiviewer.lang
%{_kf5_bindir}/kuiviewer
%{_kf5_plugindir}/parts/kuiviewerpart.so
%{_kf5_datadir}/kservices5/kuiviewer_part.desktop
%{_kf5_datadir}/applications/org.kde.kuiviewer.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/kuiviewer.*
%{_kf5_qtplugindir}/quithumbnail.so
%{_kf5_datadir}/kservices5/designerthumbnail.desktop
%{_kf5_metainfodir}/org.kde.kuiviewer.metainfo.xml
%{_kf5_metainfodir}/org.kde.kuiviewerpart.metainfo.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
